<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddSafForwarderReq StructType
 * @subpackage Structs
 */
class AddSafForwarderReq extends APIRequest
{
    /**
     * The safForwarder
     * @var XSafForwarder
     */
    public $safForwarder;
    /**
     * Constructor method for AddSafForwarderReq
     * @uses AddSafForwarderReq::setSafForwarder()
     * @param XSafForwarder $safForwarder
     */
    public function __construct(XSafForwarder $safForwarder = null)
    {
        $this
            ->setSafForwarder($safForwarder);
    }
    /**
     * Get safForwarder value
     * @return XSafForwarder|null
     */
    public function getSafForwarder()
    {
        return $this->safForwarder;
    }
    /**
     * Set safForwarder value
     * @param XSafForwarder $safForwarder
     * @return AddSafForwarderReq
     */
    public function setSafForwarder(XSafForwarder $safForwarder = null)
    {
        $this->safForwarder = $safForwarder;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddSafForwarderReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
